Foreman - Failed to "Submit" while building a new VM

09/30/2014 07:02 AM - Dmitry Sakun

Status: Closed   

Priority: High   

Assignee: Marek Hulán   

Category: Host creation   

Target version: 1.7.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1809

  

Description

When you press on Submit button nothing happens.

Error:

"An invalid form control with name='host[mac]' is not focusable"

It looks like it related to the following patch: http://theforeman.org/issues/7560 "Bug #7560: add :required => true on host fields that

have conditional validation if host.managed? - Foreman"

Related issues:

Related to Foreman - Bug #7560: add :required => true on host fields that hav... Closed 09/21/2014

Has duplicate Foreman - Bug #7759: change name of :required => true to :is_re... Duplicate 10/01/2014

Associated revisions

Revision 22438bd2 - 10/01/2014 09:52 AM - Marek Hulán

Fixes #7750 - hidden required fields do not prevent submit

When a field is explicitly required an HTML5 tag required was added

which caused issues during form submit.

History

#1 - 09/30/2014 07:05 AM - Dominic Cleal

- Related to Bug #7560: add :required => true on host fields that have conditional validation if host.managed? added

#2 - 09/30/2014 07:06 AM - Dominic Cleal

- Target version set to 1.7.3

Indeed, when using Chrome and building a host on a compute resource you get an error in the console, but it otherwise fails to submit.

I think Dmitry said that on Firefox it pops up a notification instead.

What appears to be happening is that our "required" flag is actually being passed into the HTML rather than just being used for our "*" markers.

#3 - 09/30/2014 07:22 AM - Dmitry Sakun

- File Screen Shot 2014-09-30 at 12.58.38.png added

Correct, the error in the description is from Chrome.

In FF I got a strange popup message: "Please fill out this field" in the upper left corner. See attachment

#4 - 09/30/2014 09:11 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1809 added
- Pull request deleted ()

#5 - 09/30/2014 09:11 AM - Marek Hulán

- Assignee set to Marek Hulán

#6 - 09/30/2014 11:20 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#7 - 10/01/2014 08:47 AM - Dominic Cleal

- Has duplicate Bug #7759: change name of :required => true to :is_required => true since it conflicts with HTML tag added

#8 - 10/01/2014 10:03 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 22438bd257ba586e92ecbccc8382511dabddbe26.
